org.apache.ignite.internal.visor.systemview

## Class VisorSystemViewTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorSystemViewTaskArg,VisorSystemViewTaskResult>
    - - org.apache.ignite.internal.visor.systemview.VisorSystemViewTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorSystemViewTaskArg>,VisorSystemViewTaskResult>

    @GridInternal
     @GridVisorManagementTask
    public class VisorSystemViewTask
    extends VisorOneNodeTask<VisorSystemViewTaskArg,VisorSystemViewTaskResult>

Reperesents visor task for obtaining system view content.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `VisorSystemViewTask.SimpleType` Represents lightweight type descriptors.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorSystemViewTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorSystemViewTaskArg,VisorSystemViewTaskResult>` `job(VisorSystemViewTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorSystemViewTask

    public VisorSystemViewTask()

### Method Detail

#### job

    protected VisorJob<VisorSystemViewTaskArg,VisorSystemViewTaskResult> job(VisorSystemViewTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorSystemViewTaskArg,VisorSystemViewTaskResult,VisorSystemViewTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021